Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226068 - Merge Review: libXdmcp
Summary: Merge Review: libXdmcp
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:30 UTC by Nobody's working on this, feel free to take it
Modified: 2009-10-26 16:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 16:13:45 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:30:10 UTC
Fedora Merge Review: libXdmcp

http://cvs.fedora.redhat.com/viewcvs/devel/libXdmcp/
Initial Owner: sandmann@redhat.com

Comment 1 Robert Scheck 2009-01-13 22:01:53 UTC
libXdmcp.i386: E: zero-length /usr/share/doc/libXdmcp-1.0.2/README

Comment 2 Adam Jackson 2009-02-21 20:59:33 UTC
Fixed in 1.0.2-7, along with the other usual suspects.

Comment 3 Parag AN(पराग) 2009-10-08 11:17:46 UTC
Review:

+ koji build =>http://koji.fedoraproject.org/koji/buildinfo?buildID=135669
+ verified upstream source as 
7efd71d29d6cfba797b8791398e4d81ade677d77  libXdmcp-1.0.3.tar.bz2
+ rpmlint is silent.
+ Package libXdmcp-1.0.3-2.fc13.i686 =>
Provides: libXdmcp.so.6
Requires: libXdmcp.so.6 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4) rtld(GNU_HASH)
+ Package libXdmcp-devel-1.0.3-2.fc13.i686=>
Provides: pkgconfig(xdmcp) = 1.0.3
Requires: /usr/bin/pkg-config libXdmcp.so.6 pkgconfig(xproto)

APPROVED.

Comment 4 Christoph Wickert 2009-10-12 17:25:05 UTC
- md5sum is d60941d471800f41a3f19b24bea855a7 both for upstream as well as for
the file from lookaside cache
%description should end with a dot.
- make not verbose
- Wraphelp.README.crypto missing from %doc
- README should be in %doc of devel package

Comment 5 Parag AN(पराग) 2009-10-13 03:21:11 UTC
(In reply to comment #4)
> - md5sum is d60941d471800f41a3f19b24bea855a7 both for upstream as well as for
> the file from lookaside cache
 Thought we should start using sha1sum now.

> %description should end with a dot.
 Hmm no guidelines for this.

> - make not verbose
  will take care.

> - Wraphelp.README.crypto missing from %doc
   cool. I missed this.

> - README should be in %doc of devel package  
   ok will also include this.

Comment 6 Christoph Wickert 2009-10-13 08:43:49 UTC
(In reply to comment #5)
>  Thought we should start using sha1sum now.

At least not according to the review guidelines.

> > %description should end with a dot.
>  Hmm no guidelines for this.

rpmlint used to warn about this. Summary should not end with a dot, description should.

Comment 7 Parag AN(पराग) 2009-10-21 09:13:06 UTC
updated package in F-13


Note You need to log in before you can comment on or make changes to this bug.